module.exports = {
  parser: '@babel/eslint-parser',
  root: true,
  env: {
    commonjs: true,
    es6: true,
    node: true,
    jest: true
  },
  parserOptions: {
    ecmaVersion: 6,
    sourceType: 'module',
    requireConfigFile: false
  },
  extends: ['prettier/standard', 'standard', 'prettier'],
  plugins: ['prettier'],
  globals: {
    __DEV__: true,
    __WECHAT__: true,
    __ALIPAY__: true,
    App: true,
    Page: true,
    Component: true,
    Behavior: true,
    wx: true,
    getApp: true,
    getCurrentPages: true,
    requirePlugin: true
  },
  rules: {
    'prettier/prettier': 'error',
    'no-console': 0,
    'space-before-function-paren': 0
  }
}
