const logger = require('../../pfEngine/utils/logger')
Component({
  data: {
    text: ''
  },

  properties: {
    tag: String
  },

  lifetimes: {
    attached: function() {
      this.setData({
        text: logger.getLogHistory()
      })
    },
    detached: function() {}
  },

  methods: {
    onClearClick() {
      logger.clearLogHistory()
      this.setData({
        text: ''
      })
    },

    onClipboardClick() {
      wx.setClipboardData({
        data: this.data.text
      })
      wx.showToast({
        title: 'Copied',
        duration: 1000
      })
    }
  }
})
