Component({
  properties: {
    key: {
      type: String,
      value: ''
    },
    value: {
      type: Number,
      value: 0
    },
    min: {
      type: Number,
      value: 0
    },
    max: {
      type: Number,
      value: 100
    },
    text: {
      type: String,
      value: ''
    }
  },
  methods: {
    handleSliderChange: function(e) {
      const detail = {
        value: e.detail.value,
        key: this.properties.key
      }
      this.triggerEvent('sliderchange', detail, {})
    }
  }
})
