const execSync = require('child_process').execSync

const unlockDevice = () => {
  const checkDeviceLocked = execSync(
    "adb -s 09171JEC220754 shell dumpsys power | grep 'mHoldingDisplaySuspendBlocker'"
  )
    .toString()
    .trim()
    .split('=')[1]
  if (checkDeviceLocked === 'false') {
    execSync(
      'adb -s 09171JEC220754 shell input keyevent 26; adb -s 09171JEC220754 shell input keyevent 82;'
    )
  }
}

const launchWeChat = () => {
  execSync(
    'adb -s 09171JEC220754 shell am force-stop com.tencent.mm;adb -s 09171JEC220754 shell am start com.tencent.mm/com.tencent.mm.ui.LauncherUI;'
  )
}

const getForegroundActivity = () => {
  return execSync('adb -s 09171JEC220754 shell dumpsys activity top | grep "ACTIVITY" | tail -n 1')
    .toString()
    .trim()
    .split(' ')[1]
}

module.exports = {
  unlockDevice,
  launchWeChat,
  getForegroundActivity
}
