import mockStatus from '../pfEngine/utils/status'

jest.mock('../pfEngine/api/pfMakeup', () => ({
  init: jest.fn(),
  getLooks: jest.fn(),
  getListByEffect: jest.fn(),
  getIntensities: jest.fn(() => ({})),
  setIntensities: jest.fn((intensities, callback) => {
    callback(mockStatus.STATUS_SUCCESS)
  }),
  clearEffects: jest.fn(),
  applyMakeupBySkus: jest.fn((sku, callback) => {
    callback(mockStatus.STATUS_SUCCESS)
  }),
  unInit: jest.fn()
}))
