const app = getApp()
let webResponse

Page({
  data: {
    resultImage: '',
    list_guid: []
  },

  onLoad() {
    this._initValue()
  },

  onReady() {
    if (!webResponse) return
    this.setData({
      resultImage: webResponse.base64 ?? '',
      list_guid: webResponse.list_guid
        ? webResponse.list_guid.flatMap(sku => Object.values(sku)).flat()
        : []
    })
  },

  onUnload() {
    app.globalData.handARWebResponse = null
    app.globalData.backToWebView = true
  },

  _initValue() {
    webResponse = app.globalData.handARWebResponse ?? null
  }
})
