module.exports = {
  formatTime
}

function formatTime(time) {
  const dateObj = new Date(time)
  const h = _addZero(dateObj.getHours(), 2)
  const m = _addZero(dateObj.getMinutes(), 2)
  const s = _addZero(dateObj.getSeconds(), 2)
  const ms = _addZero(dateObj.getMilliseconds(), 3)
  return `${h}:${m}:${s}.${ms}`
}

function _addZero(x, n) {
  while (x.toString().length < n) {
    x = '0' + x
  }
  return x
}
