import { getValue, setValue } from './util'
const CACHE_KEY_LICENSE_SETTING = 'CACHE_KEY_LICENSE_SETTING'
const defaultLicense = {
  makeup: true,
  hairColor: true,
  eyewear: true,
  skincare: true,
  shadeFinder: true,
  haircare: true,
  tutorial: true,
  watch: true,
  bracelet: true,
  nail: true,
  ring: true,
  stacking: true,
  necklace: true,
  isEnableEnlargeEye: true,
  isEnableSharpenface: true,
  enable: false
}
const license = getValue(CACHE_KEY_LICENSE_SETTING, defaultLicense)
export default {
  setLicense: (key, value) => {
    license[key] = value
    setValue(CACHE_KEY_LICENSE_SETTING, license)
  },
  getLicense: () => ({
    ...license,
    sha1: '6c077e6ecf1c997b5d48ce92f146e63737b1fae3'
  })
}
